<template>
    <div class="bg-white shadow-sm d-flex p-4 language-item"  v-on:click="$emit('item-clicked')">
        <div class="mr-3 language-item__avatar" >
            <img class="w-100 h-100"  :src="language.image" :alt="language.name">
        </div>
     <div class="d-flex flex-column">
         <div class="font-weight-bold mt-3">
             {{language.name}}
         </div>
         <div class="">
             {{language.description}}
         </div>
     </div>
    </div>
</template>

<script>
    export default {
        name: "LanguageItem",
        props: {
            language: {type: Object, required: true},
        }
    }
</script>
